Bug 1947337 - Select noVNC by default for Kubevirt VMs
Summary: Select noVNC by default for Kubevirt VMs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt
Version: 4.4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.4.7
: 4.4.7
Assignee: Lucia Jelinkova
QA Contact: Qin Yuan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-08 09:15 UTC by Arik
Modified: 2021-07-06 07:28 UTC (History)
1 user (show)

Fixed In Version: ovirt-engine-4.4.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-06 07:28:02 UTC
oVirt Team: Virt
pm-rhel: ovirt-4.4+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 114575 0 master MERGED engine: use novnc as default for kubevirt vms 2021-05-03 19:16:03 UTC

Description Arik 2021-04-08 09:15:09 UTC
Looking at https://www.youtube.com/watch?v=MMEaZAxj9_8, the user needs to change to noVNC in Console Options before attempting to connect to a VM in Kubevirt. We should change it to noVNC automatically.

Comment 1 Qin Yuan 2021-06-22 15:30:20 UTC
Verified with:
ovirt-engine-4.4.7.4-0.9.el8ev.noarch

Steps:
1. Prepare a Kubevirt environment with running VMs in it.(prepared by Liran and Lucia)
2. Add KubeVirt/Openshift Virtualization as an external provider on RHV.
3. Check console options of the Kubevirt VMs.
4. Open Kubevirt VM console to check if new browser tab with noVNC session appears.

Results:
1. The console option of Kubevirt VM defaults to noVNC.
2. When clicking Console button of a Kubevirt VM, a new browser tab with noVNC session appears.

Comment 2 Sandro Bonazzola 2021-07-06 07:28:02 UTC
This bugzilla is included in oVirt 4.4.7 release, published on July 6th 2021.

Since the problem described in this bug report should be resolved in oVirt 4.4.7 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.